__gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >(3)

NAME
__gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > -

SYNOPSIS

Inherits std::unary_function< _FirstArgumentType, _ResultType >.

  Public Types
typedef _FirstArgumentType argument_type
typedef _ResultType result_type

  Public Member Functions
__binder2nd (const _Operation &__x, const _SecondArgumentType &__y)
_ResultType operator() (const _FirstArgumentType &__x) const
_ResultType operator() (_FirstArgumentType &__x)

  Protected Attributes
_Operation _M_op
_SecondArgumentType _M_value

Detailed Description

  template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>class __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >
Similar to std::binder2nd, but giving the argument types explicitly.

Definition at line 220 of file parallel/base.h.

Member Typedef Documentation

  typedef _FirstArgumentType std::unary_function< _FirstArgumentType , _ResultType >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 104 of file stl_function.h.

  typedef _ResultType std::unary_function< _FirstArgumentType , _ResultType >::result_type [inherited]

result_type is the return type

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.